Skip to main content

GetTransactionReceiptById

POST

Query the resource consumption receipt of a transaction by its transaction ID. The response contains Energy/Bandwidth usage and the execution result.
Path Parameters
chainstringrequired
Parameter specifying the target chain to query.
networkstringrequired
Parameter specifying the network of the target chain.
Request Body
valuestringrequired
Transaction ID (hash). Example: 5356f10bd838ba7db012850f2c3e7c02d992eab6a789cf7edb2fbf8dabbef50f
visibleboolean
Optional. Set to true to format addresses in Base58; set to false for hex format. (Default: false)
Responses
Resource consumption receipt of the transaction.
energy_usageinteger
Energy deducted from the caller's own Energy balance.
energy_feeinteger
Fee paid in TRX when the caller's Energy was insufficient. (Unit: sun)
origin_energy_usageinteger
Energy paid by the contract deployer on behalf of the caller.
energy_usage_totalinteger
Total Energy consumed by the transaction.
net_usageinteger
Bandwidth deducted from the caller's own Bandwidth balance.
net_feeinteger
Fee paid in TRX when the caller's Bandwidth was insufficient. (Unit: sun)
resultstring
Execution result of the smart contract.
energy_penalty_totalinteger
Additional Energy charged by the contract's Energy penalty factor.
cURL
curl -X POST 'https://tron-mainnet.nodit.io/wallet/gettransactionreceiptbyid' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: nodit-demo' \
-d '{
"value": "5356f10bd838ba7db012850f2c3e7c02d992eab6a789cf7edb2fbf8dabbef50f"
}'